Index: doc/latex/classmEF__inherit__graph.eps
===================================================================
--- doc/latex/classmEF__inherit__graph.eps (revision 210)
+++ doc/latex/classmEF__inherit__graph.eps (revision 234)
@@ -180,33 +180,33 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 277 318
+%%PageBoundingBox: 36 36 373 318
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 241 282 boxprim clip newpath
+36 36 337 282 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 119 192 moveto
-119 213 lineto
-156 213 lineto
-156 192 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 119 192 moveto
-119 213 lineto
-156 213 lineto
-156 192 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-126.5 199.5 moveto 21 (mEF) alignedtext
+newpath 155 192 moveto
+155 213 lineto
+192 213 lineto
+192 192 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 155 192 moveto
+155 213 lineto
+192 213 lineto
+192 192 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+162.5 199.5 moveto 21 (mEF) alignedtext
 grestore
 % Node3
 gsave
-[ /Rect [ 8 133 70 153 ]
+[ /Rect [ 12 133 74 153 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classmgamma.html) >>
@@ -214,20 +214,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 8 132 moveto
-8 153 lineto
-71 153 lineto
-71 132 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 8 132 moveto
-8 153 lineto
-71 153 lineto
-71 132 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-15.5 139.5 moveto 47 (mgamma) alignedtext
+newpath 12 132 moveto
+12 153 lineto
+75 153 lineto
+75 132 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 12 132 moveto
+12 153 lineto
+75 153 lineto
+75 132 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+19.5 139.5 moveto 47 (mgamma) alignedtext
 grestore
 % Node1->Node3
@@ -236,23 +236,69 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 110 187 moveto
-93 176 70 162 55 153 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 108.56 190.2 moveto
-119 192 lineto
-111.96 184.08 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 108.56 190.2 moveto
-119 192 lineto
-111.96 184.08 lineto
+newpath 146 191 moveto
+121 180 87 164 65 153 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 144.44 194.14 moveto
+155 195 lineto
+147.28 187.74 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 144.44 194.14 moveto
+155 195 lineto
+147.28 187.74 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 88 133 186 153 ]
+[ /Rect [ 99 133 165 153 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classmigamma.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 99 132 moveto
+99 153 lineto
+165 153 lineto
+165 132 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 99 132 moveto
+99 153 lineto
+165 153 lineto
+165 132 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+107 139.5 moveto 50 (migamma) alignedtext
+grestore
+% Node1->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 159 183 moveto
+153 173 144 161 139 153 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 156.54 185.62 moveto
+165 192 lineto
+162.37 181.74 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 156.54 185.62 moveto
+165 192 lineto
+162.37 181.74 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 183 133 281 153 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classmlnorm.html) >>
@@ -260,45 +306,45 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 88 132 moveto
-88 153 lineto
-186 153 lineto
-186 132 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 88 132 moveto
-88 153 lineto
-186 153 lineto
-186 132 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-96 139.5 moveto 82 (mlnorm< sq_T >) alignedtext
-grestore
-% Node1->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 137 182 moveto
-137 172 137 161 137 153 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 133.5 182 moveto
-137 192 lineto
-140.5 182 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 133.5 182 moveto
-137 192 lineto
-140.5 182 lineto
-closepath stroke
-grestore
-% Node6
-gsave
-[ /Rect [ 129 61 233 81 ]
+newpath 183 132 moveto
+183 153 lineto
+281 153 lineto
+281 132 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 183 132 moveto
+183 153 lineto
+281 153 lineto
+281 132 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+191 139.5 moveto 82 (mlnorm< sq_T >) alignedtext
+grestore
+% Node1->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 191 185 moveto
+202 174 214 162 222 153 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 188.6 182.45 moveto
+184 192 lineto
+193.55 187.4 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 188.6 182.45 moveto
+184 192 lineto
+193.55 187.4 lineto
+closepath stroke
+grestore
+% Node8
+gsave
+[ /Rect [ 225 61 329 81 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classmlnorm.html) >>
@@ -306,47 +352,47 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 129 60 moveto
-129 81 lineto
-233 81 lineto
-233 60 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 129 60 moveto
-129 81 lineto
-233 81 lineto
-233 60 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-137 67.5 moveto 88 (mlnorm< ldmat >) alignedtext
-grestore
-% Node1->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 164 186 moveto
-176 178 188 167 195 154 curveto
-207 132 207 123 200 100 curveto
-198 93 194 86 190 81 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 161.9 183.2 moveto
-156 192 lineto
-166.1 188.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 161.9 183.2 moveto
-156 192 lineto
-166.1 188.8 lineto
+newpath 225 60 moveto
+225 81 lineto
+329 81 lineto
+329 60 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 225 60 moveto
+225 81 lineto
+329 81 lineto
+329 60 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+233 67.5 moveto 88 (mlnorm< ldmat >) alignedtext
+grestore
+% Node1->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 202 199 moveto
+229 193 269 181 290 154 curveto
+305 134 302 123 295 100 curveto
+293 93 289 86 285 81 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 201.12 195.61 moveto
+192 201 lineto
+202.49 202.47 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 201.12 195.61 moveto
+192 201 lineto
+202.49 202.47 lineto
 closepath stroke
 grestore
 % Node2
 gsave
-[ /Rect [ 117 253 157 273 ]
+[ /Rect [ 153 253 193 273 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classmpdf.html) >>
@@ -354,20 +400,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 117 252 moveto
-117 273 lineto
-158 273 lineto
-158 252 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 117 252 moveto
-117 273 lineto
-158 273 lineto
-158 252 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-124.5 259.5 moveto 25 (mpdf) alignedtext
+newpath 153 252 moveto
+153 273 lineto
+194 273 lineto
+194 252 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 153 252 moveto
+153 273 lineto
+194 273 lineto
+194 252 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+160.5 259.5 moveto 25 (mpdf) alignedtext
 grestore
 % Node2->Node1
@@ -376,18 +422,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 137 242 moveto
-137 232 137 221 137 213 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 133.5 242 moveto
-137 252 lineto
-140.5 242 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 133.5 242 moveto
-137 252 lineto
-140.5 242 lineto
+newpath 173 242 moveto
+173 232 173 221 173 213 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 169.5 242 moveto
+173 252 lineto
+176.5 242 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 169.5 242 moveto
+173 252 lineto
+176.5 242 lineto
 closepath stroke
 grestore
@@ -422,48 +468,94 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 39 122 moveto
-39 108 39 92 39 81 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 35.5 122 moveto
-39 132 lineto
-42.5 122 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 35.5 122 moveto
-39 132 lineto
-42.5 122 lineto
-closepath stroke
+newpath 41 122 moveto
+41 108 40 92 39 81 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 37.52 122.4 moveto
+42 132 lineto
+44.49 121.7 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 37.52 122.4 moveto
+42 132 lineto
+44.49 121.7 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 96 61 176 81 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classmigamma__fix.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 96 60 moveto
+96 81 lineto
+177 81 lineto
+177 60 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 96 60 moveto
+96 81 lineto
+177 81 lineto
+177 60 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+103.5 67.5 moveto 65 (migamma_fix) alignedtext
 grestore
 % Node5->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 134 122 moveto
+134 108 135 92 136 81 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 130.51 121.7 moveto
+133 132 lineto
+137.48 122.4 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 130.51 121.7 moveto
+133 132 lineto
+137.48 122.4 lineto
+closepath stroke
+grestore
+% Node7->Node8
 gsave
 1 setlinewidth
 dashed
 0.106 1.000 1.000 edgecolor
-newpath 141 122 moveto
-143 115 146 106 150 100 curveto
-154 93 161 86 167 81 curveto
+newpath 236 122 moveto
+238 115 241 106 245 100 curveto
+250 93 257 86 263 81 curveto
 stroke
 0.106 1.000 1.000 edgecolor
-newpath 137.53 121.51 moveto
-139 132 lineto
-144.39 122.88 lineto
+newpath 232.53 121.51 moveto
+234 132 lineto
+239.39 122.88 lineto
 closepath fill
 1 setlinewidth
 solid
 0.106 1.000 1.000 edgecolor
-newpath 137.53 121.51 moveto
-139 132 lineto
-144.39 122.88 lineto
+newpath 232.53 121.51 moveto
+234 132 lineto
+239.39 122.88 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-150 104.5 moveto 50 (< ldmat >) alignedtext
-grestore
-% Node7
-gsave
-[ /Rect [ 149 1 213 21 ]
+245 104.5 moveto 50 (< ldmat >) alignedtext
+grestore
+% Node9
+gsave
+[ /Rect [ 245 1 309 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classmlstudent.html) >>
@@ -471,40 +563,40 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 149 0 moveto
-149 21 lineto
-214 21 lineto
-214 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 149 0 moveto
-149 21 lineto
-214 21 lineto
-214 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-156.5 7.5 moveto 49 (mlstudent) alignedtext
-grestore
-% Node6->Node7
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 181 50 moveto
-181 40 181 29 181 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 177.5 50 moveto
-181 60 lineto
-184.5 50 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 177.5 50 moveto
-181 60 lineto
-184.5 50 lineto
+newpath 245 0 moveto
+245 21 lineto
+310 21 lineto
+310 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 245 0 moveto
+245 21 lineto
+310 21 lineto
+310 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+252.5 7.5 moveto 49 (mlstudent) alignedtext
+grestore
+% Node8->Node9
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 277 50 moveto
+277 40 277 29 277 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 273.5 50 moveto
+277 60 lineto
+280.5 50 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 273.5 50 moveto
+277 60 lineto
+280.5 50 lineto
 closepath stroke
 grestore
@@ -516,5 +608,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 277 318
+%%BoundingBox: 36 36 373 318
 end
 restore
